Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07496 Media Support Major Always Nov 22, 2019, 22:03 Nov 23, 2019, 02:00
Tester xolson View Status Public Platform MAME (Official Binary)
Assigned To R. Belmont Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver apple2e.cpp
Version 0.215 Fixed in Version 0.216 Build 64-bit
Summary MESS-specific 07496: apple2e and clones: Error when trying to use .NIB disk images
Description When trying to use a .NIB disk image the following error message appears:

Fatal error: Device Apple Disk II load failed: Invalid image
Steps To Reproduce Tested using Apple 2 Fortran using the following command line:

mame64 apple2ee -sl6 diskii -flop1 c:\apple2\fort1.dsk -flop2 c:\apple2\fort2fixed.nib
Additional Information The .NIB file works using mess161 and mame177, it does not work using mame214 and mame215.
Flags
Regression Version
Affected Sets / Systems apple2e and clones
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.17184
Tafoid
Administrator
Nov 22, 2019, 22:16
edited on: Nov 22, 2019, 22:22
.nib files work with the older HLE Disk II controller (slot option "diskii"). They don't work with the otherwise-more-accurate next-gen card (slot option "diskiing").
Please try this and report back. It will require slot assignment to the older option.
User avatar
No.17187
xolson
Tester
Nov 22, 2019, 23:29
If you look under the steps to reproduce section I did use the diskii option for slot 6.
User avatar
No.17189
Tafoid
Administrator
Nov 23, 2019, 00:50
edited on: Nov 23, 2019, 02:12
The issue in my testing appears to be the .DSK image - for some reason it is coming up invalid even if I don't attach the .nib in -flop2
Confirm on your end and update the report text accordingly, please.

Breakage appears to be June 9, 2019 and likely this commit:
-ap2_dsk: only save 40 tracks if the disk originally had that many [R.Belmont]
https://github.com/mamedev/mame/commit/a610524c5f8907897905ce109fc714b2201183de
User avatar
No.17190
xolson
Tester
Nov 23, 2019, 01:52
edited on: Nov 23, 2019, 01:53
The fort1.dsk image seems valid here. Using mame 215, if I leave off the .nib and only use the one fort1.dsk and put:
mame64 apple2e -sl6 diskii -flop1 c:\apple2\fort1.dsk
The system boots that disk normally.

I tried using a different version of fort2.nib, which I renamed fort2a.nib which I found somewhere else and it is different from fort2fixed.nib

However, when I add the .nib and put:
mame64 apple2e -sl6 diskii -flop1 c:\apple2\fort1.dsk -flop2 c:\apple2\fort2a.nib

I get the same error after the simulation starts:

Fatal error: Device Apple Disk II load failed: Invalid image
User avatar
No.17191
Tafoid
Administrator
Nov 23, 2019, 01:59
If you have access to Git sources, R. Belmont just posted a fix:
https://github.com/mamedev/mame/commit/5c45fa678f29608308b249b3a751859afd0a2da1

You can pull and confirm the fix on your end. Alternatively, MAME will be releasing mid-next week (Typically last Wednesday of each month) which should have the fixed behavior